package = "lsup"
version = "scm-1"

source = {
   url = "git://git.knowledgetx.com/scossu/lsup_lua.git",
   branch = "master",
   tag = "HEAD",
}

description = {
   summary = "Compact, minimalistic RDF library and persistent store.",
   detailed = [[
      `lsup_rdf` is an embedded library to manipulate and permanently store
      Linked Data. It handles terms, triples, graphs, and has in-memory and
      persistent storage back ends. It can encode and decode Turtle and N3
      syntax.
   ]],
   homepage = "http://git.knowledgetx.com/scossu/lsup_lua",
   license = "https://git.knowledgetx.com/scossu/lsup_lua/src/master/LICENSE"
}

dependencies = {
   "lua >= 5.4, < 6",
}

build = {
   type = "make",
   install_target = "local_install",
}
